##
##  distcache.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         distcache
Summary:      Distributed SSL/TLS Session Cache
URL:          http://distcache.sourceforge.net/
Vendor:       Geoff Thorpe
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Cryptography
License:      LGPL
Version:      1.5.1
Release:      20080101

#   list of sources
Source0:      http://download.sourceforge.net/distcache/distcache-%{version}.tar.bz2
Patch0:       distcache.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, openssl
PreReq:       OpenPKG, openpkg >= 20160101, openssl

%description
    The main use for this software is in supporting clusters of
    SSL/TLS-enabled servers (eg. secure web servers) in such a way that
    they can share a single network-based session cache. 'distcache' is
    already integrated with Apache 2.0 (or Apache 1.3 with mod_ssl), and
    any other OpenSSL-based application should be easy to adapt. However
    the protocol, libraries, and tools provide very generic interfaces
    for a variety of possible uses beyond SSL/TLS.

%track
    prog distcache = {
        version   = %{version}
        url       = http://sourceforge.net/projects/distcache/files/
        regex     = distcache-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q
    %patch -p0
    %{l_shtool} subst \
        -e '/LINENO: error: C[+]* preprocessor/{N;N;N;N;s/.*/:/;}' \
        configure ssl/configure

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --enable-ssl \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip  $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

